Bug 640751 - (CVE-2010-3833) CVE-2010-3833 MySQL: CREATE TABLE ... SELECT causes crash when KILL_BAD_DATA is returned (MySQL Bug#55826)
CVE-2010-3833 MySQL: CREATE TABLE ... SELECT causes crash when KILL_BAD_DATA ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100808,reported=20100930,sou...
: Security
Depends On: 645642 645643 645647 645651 652553 652554 833943
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-06 14:36 EDT by Vincent Danen
Modified: 2012-06-20 11:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:18:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch (2.48 KB, patch)
2010-10-14 04:02 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Vincent Danen 2010-10-06 14:36:14 EDT
A flaw in MySQL versions prior to 5.1.51 [1] was reported [2] that could allow an authenticated user to kill connections to MySQL.  During evaluation of arguments to extreme-value functions (such as LEAST() and GREATEST()), type errors did not propagate properly, causing the server to crash, and any other connections to the server to be terminated.

[1] http://dev.mysql.com/doc/refman/5.1/en/news-5-1-51.html
[2] http://bugs.mysql.com/bug.php?id=55826
Comment 5 Vincent Danen 2010-10-12 16:08:20 EDT
This issue has been assigned the name CVE-2010-3833:

http://article.gmane.org/gmane.comp.security.oss.general/3627
Comment 6 Huzaifa S. Sidhpurwala 2010-10-14 04:02:35 EDT
Created attachment 453399 [details]
upstream patch
Comment 10 Huzaifa S. Sidhpurwala 2010-10-18 22:43:02 EDT
This issue did NOT affect the versions of the mysql package, as shipped with
Red Hat Enterprise Linux 3 and 4.

This issue affects the version of mysql package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the version of mysql package, as shipped with Fedora 12 and 13.
Comment 12 Huzaifa S. Sidhpurwala 2010-10-22 02:28:33 EDT
Created mysql tracking bugs for this issue

Affects: fedora-12 [bug 645647]
Comment 13 Huzaifa S. Sidhpurwala 2010-10-22 02:41:46 EDT
Created mysql tracking bugs for this issue

Affects: fedora-13 [bug 645651]
Comment 14 errata-xmlrpc 2010-11-03 16:21:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0825 https://rhn.redhat.com/errata/RHSA-2010-0825.html
Comment 16 errata-xmlrpc 2011-01-18 13:42:44 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0164 https://rhn.redhat.com/errata/RHSA-2011-0164.html

Note You need to log in before you can comment on or make changes to this bug.